cmake_minimum_required(VERSION 3.10)
project(DiscordBot)

set(CMAKE_CXX_STANDARD 20)

message(STATUS "The value of CMAKE_CURRENT_SOURCE_DIR is: ${CMAKE_CURRENT_SOURCE_DIR}")

# Add your executable
add_executable(my_bot mac-example-bot/main.cpp)

target_link_libraries(my_bot PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/library/libdpp.10.1.4.dylib")

# Find the include directory for the dpp library
target_include_directories(my_bot PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/include/stb
)


